//---------------------------------------------------------------------------

#ifndef DefautJaugeMatH
#define DefautJaugeMatH
//---------------------------------------------------------------------------
#include <SysUtils.hpp>
#include <Controls.hpp>
#include <Classes.hpp>
#include <Forms.hpp>
//---------------------------------------------------------------------------

class PACKAGE TDefautJaugeMat : public TGraphicControl
{
private:
  TIcon *FIcone;
  TColor FCoulBarre;
  Graphics::TBitmap *FBitmap;
  int FPosition;
  int FMax;
  bool FTexture;
  bool FPourcent;
  AnsiString FLabel;
  AnsiString FLibre;
  AnsiString FCapa;

  void __fastcall SetIcone(TIcon *AIcone);
  void __fastcall SetCoulBarre(const TColor ACoulBarre);
  void __fastcall SetBitmap(Graphics::TBitmap *ABitmap);
  void __fastcall SetPosition (int APosition);
  void __fastcall SetMax(int AMax);
  void __fastcall SetTexture(bool ATexture);
  void __fastcall SetPourcent(bool APourcent);
  void __fastcall SetLabel(AnsiString ALabel);
  void __fastcall SetCapa(AnsiString ACapa);
  void __fastcall SetLibre(AnsiString ALibre);

protected:
  void __fastcall Paint(void);

public:
  __fastcall TDefautJaugeMat(TComponent* Owner);
  __fastcall ~TDefautJaugeMat();

__published:
  __property TIcon *Icone= {read=FIcone, write= SetIcone};
  __property TColor CoulBarre= {read= FCoulBarre, write= SetCoulBarre};
  __property Graphics::TBitmap *Bitmap= {read= FBitmap, write= SetBitmap};
  __property int Position= {read= FPosition, write= SetPosition};
  __property int Max= {read=FMax, write= SetMax};
  __property bool Texture= {read= FTexture, write= SetTexture};
  __property bool Pourcentage= {read= FPourcent, write= SetPourcent};
  __property AnsiString Label= {read= FLabel, write= SetLabel};
  __property AnsiString Capacite= {read= FCapa, write= SetCapa};
  __property AnsiString Libre= {read= FLibre, write= SetLibre};
  __property Font;
  __property OnClick;
  __property OnDblClick;
  __property OnMouseDown;
  __property OnMouseMove;
  __property OnMouseUp;
};
//---------------------------------------------------------------------------
#endif
